# class Xapian::QueryParser

### Public Instance Methods

stoplist(&block) click to toggle source

Returns an Array of all words in the query ignored as stopwords.

    # File ../../../../../ruby/docs/xapian.rb, line 385
    def stoplist(&block)
      Xapian._safelyIterate(self._dangerous_stoplist_begin(),
                            self._dangerous_stoplist_end(),
                            lambda { |item| item.term },
                            &block)
    end

unstem(term, &block) click to toggle source

Returns an Array of all words in the query which stem to a given term.

    # File ../../../../../ruby/docs/xapian.rb, line 393
    def unstem(term, &block)
      Xapian._safelyIterate(self._dangerous_unstem_begin(term),
                            self._dangerous_unstem_end(term),
                            lambda { |item| item.term },
                            &block)
    end